package company_request

import (
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
)

type CompanyFreezeRequest struct {
	// <ext>core:true</ext> 【法人单位id】法人单位id   【作用】 查询需冻结的法人单位 【传参】 参数必传其一，传入多个时只按最高优先级查询，优先级为法人单位id>法人单位名称。
	CompanyId string `json:"companyId,omitempty"`
	// <ext>core:true</ext> 【法人单位名称】法人单位名称 【作用】 查询需冻结的法人单位 【传参】 参数必传其一，传入多个时只按最高优先级查询，优先级为法人单位id>法人单位名称>统一社会信用代码/工商注册号。
	CompanyName string `json:"companyName,omitempty"`
	// <ext>core:true</ext> 【统一社会信用代码/工商注册号】统一社会信用代码/工商注册号 【作用】 查询需冻结的法人单位 【传参】 参数必传其一，传入多个时只按最高优先级查询，优先级为法人单位id>法人单位名称>统一社会信用代码/工商注册号。
	RegisterNo string `json:"registerNo,omitempty"`
}

func (obj CompanyFreezeRequest) GetUrl() string {
	return "/company/freeze"
}

func (obj CompanyFreezeRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewPostHttpParameter()
	parameter.AddParam("companyId", obj.CompanyId)
	parameter.AddParam("companyName", obj.CompanyName)
	parameter.AddParam("registerNo", obj.RegisterNo)
	return parameter
}
